/// <reference types="node" />
import { Prefix } from "./nkeys";
import * as util from "./util";
export interface SeedDecode {
    prefix: Prefix;
    buf: Buffer;
}
export declare class Codec {
    static toArrayBuffer: util.ToArrayBuffer;
    static encode(prefix: Prefix, src: Buffer): string;
    static decode(src: string): Buffer;
    static decodeExpectingPrefix(expected: Prefix, src: string): Buffer;
    static decodeSeed(src: string): SeedDecode;
    static encodeSeed(role: Prefix, src: Buffer): string;
    static encodePrefix(kind: Prefix, role: Prefix): Buffer;
    static decodePrefix(raw: Buffer): Uint8Array;
}
